# ST06 - Delete shipments

DescriptionLimited to 1000 shipments at a time
Call FrequencyRecommended usage: On each shipment deletionMaximum usage: On each shipment deletion

Endpoint: PUT /api/shipments/delete
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ADMIN, ROLE_PARTNER_ORDER_SHIPMENT_DELETE

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Request fields (application/json):

  - `shipments` (array, required)
    Shipment ids

  - `shipments.id` (string, required)
    Shipment id

## Request examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `shipment_errors` (array)
    Shipment workflow update errors

  - `shipment_errors.id` (string)
    Shipment id

  - `shipment_errors.message` (string)
    Error message

  - `shipment_success` (array)
    Shipment workflow update success

  - `shipment_success.id` (string, required)
    Shipment id

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

